<!DOCTYPE html>
<html xmlns:th="http://thymeLeaf.org">
<head>

    <meta charset="ISO-8859-1">
    <title>Users</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

    <script src="../jqueryAjaxGet.js"></script>


    <link rel="stylesheet" type="text/css" href="../bootstrap.min.css">
    <link rel="script" href="../bootstrap.min.js">

    <script type="text/javascript">
        $(document).ready(function () {
            $("#checkBoxAll").click(function () {
                var li = document.getElementsByClassName("check").checkBoxAll.checked;
                var slides = document.getElementsByClassName("chkCheckBoxId");
                for (var i = 0; i < slides.length; i++) {
                    slides.item(i).checked = li;
                }
                $("#form1 input[type = 'checkbox']").pop('checked', this.checked);
            });
        });
    </script>

</head>

<body>
<div class="container text-center">
    <div>
        <form th:action="@{/logout}" method="post">
            <p>
                Welcome <b> [[${#request.userPrincipal.principal.fullName}]]</b>
            </p>
            <input type="submit" value="Sign Out"/>
    </div>
</div>
<div class="container text-center">
    <h1>Users</h1>
</div>
<div>


    <input type="submit" id="deleteButton" class="btn btn-primary" style="color:khaki" value="Delete"
           onclick="return confirm('Are you sure? DELETE')"/>
    <input type="submit" id="blockButton" class="btn btn-primary" style="color:khaki" value="Block"
           onclick="return confirm('Are you sure? BLOCK')"/>
    <input type="submit" id="unblockButton" class="btn btn-primary" style="color:khaki" value="Unblock"
           onclick="return confirm('Are you sure? UNBLOCK')"/>


    <table class="table table-striped table-bordered">
        <thead class="thead-dark">
        <tr>
            <th><input type="checkbox" class="check" id="checkBoxAll"/></th>
            <th>User Id</th>
            <th>E-mail</th>
            <th>First Name</th>
            <th>Last Name</th>
            <th>Status</th>
            <th>Date</th>
            <th>Sign Up Date</th>
        </tr>
        </thead>

        <tbody>
        <tr th:each="user: ${listUsers}">

            <td><input type="checkbox" class="chkCheckBoxId"
                       th:value="${user.id}" th:name="userId"/></td>
            <td th:text="${user.id}">User ID</td>
            <td th:text="${user.email}">E-mail</td>
            <td th:text="${user.firstName}">First Name</td>
            <td th:text="${user.lastName}">Last Name</td>
            <td th:text="${user.status}">Status</td>
            <td th:text="${user.actualDate}">Date</td>
            <td th:text="${user.signUpDate}">Last Sing Up</td>
        </tr>
        </tbody>

    </table>
</div>

</body>

</html>